Subject: Re: GitTogether topics status (4th of October)

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 7 Oct 2008 07:46:43 -0700

Jeff King <[email-masked]> wrote:
> I just added two proposed half-hour meetings, both of which I intend to
> be a few minutes of me talking followed by group discussion. The topics
> are:
> 
>   1. Helping new developers join the git community

Oh, this is a good idea.  Yesterday I myself had trouble with
a new contributor not being familiar with the patching process.
Partly also my fault of still being a green maintainer.  ;-)
 
>   2. What needs refactoring?
> 
>      I occasionally run up against parts of the code that just make my
>      eyes bleed everytime I touch them. I think we've made significant
>      progress in maintanability and bug-avoidance with things like the
>      strbuf library, refactoring of remote and transport handling, etc.
>      What areas might still benefit from such refactoring?

Also a good idea.  I imagine Junio may have some interest in this.
I certainly do.  Some of the code is just bloodly aweful to work
with.  I guess those are the parts that make your eyes bleed.

-- 
Shawn.